"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Button_styles_1 = require("./Button.styles");
const react_native_1 = require("react-native");
const react_1 = __importDefault(require("react"));
const Button = ({ style, visualStyle = 'default', onPress, text, image, children, enabled, leftImage, testID, }) => {
    const content = ({ styles }) => (react_1.default.createElement(react_native_1.View, { style: styles.horizontalContainer },
        leftImage && react_1.default.createElement(react_native_1.Image, { style: styles.leftImage, source: leftImage }),
        react_1.default.createElement(react_native_1.View, null,
            image && react_1.default.createElement(react_native_1.Image, { source: image }),
            text && react_1.default.createElement(react_native_1.Text, { style: styles.text }, text),
            children && react_1.default.createElement(react_native_1.View, { style: styles.childrenContainer }, children))));
    const DefaultButton = () => {
        const styles = (0, Button_styles_1.useDefaultStyles)({ enabled: enabled !== false, style });
        return (react_1.default.createElement(react_native_1.TouchableHighlight, { style: styles.container, underlayColor: styles.touchableHighlight.underlayColor, onPress: enabled !== false ? onPress : undefined, testID: testID }, content({ styles })));
    };
    const RectButton = () => {
        const styles = (0, Button_styles_1.useRectStyles)({ style, enabled: enabled !== false });
        return (react_1.default.createElement(react_native_1.TouchableHighlight, { style: [styles.container, styles.touchableHighlight], underlayColor: styles.touchableHighlight.underlayColor, onPress: enabled !== false ? onPress : undefined, testID: testID }, content({ styles })));
    };
    const SimpleButton = () => {
        const styles = (0, Button_styles_1.useSimpleStyles)({ style, enabled: enabled !== false });
        return (react_1.default.createElement(react_native_1.TouchableOpacity, { style: styles.touchableOpacity, onPress: enabled !== false ? onPress : undefined, activeOpacity: styles.touchableOpacity.activeOpacity, testID: testID }, content({ styles })));
    };
    switch (visualStyle) {
        case 'default':
            return react_1.default.createElement(DefaultButton, null);
        case 'simple':
            return react_1.default.createElement(SimpleButton, null);
        case 'rect':
            return react_1.default.createElement(RectButton, null);
    }
};
exports.default = Button;
