import { ImageStyle, TextStyle, ViewStyle } from 'react-native';
import { TouchableHighlightStyle, TouchableOpacityStyle } from '@spryrocks/rn-components-ui-touchable';
import { ButtonStyle } from './ButtonStyle';
export interface BaseStyles {
    horizontalContainer: ViewStyle;
    text: TextStyle;
    childrenContainer: ViewStyle;
    content: {};
    leftImage: ImageStyle;
}
declare const useDefaultStyles: ({ enabled, style, }: {
    enabled: boolean;
    style: ButtonStyle | undefined;
}) => {
    container: ViewStyle;
    touchableHighlight: TouchableHighlightStyle;
    horizontalContainer: ViewStyle;
    text: TextStyle;
    childrenContainer: ViewStyle;
    content: {};
    leftImage: ImageStyle;
};
declare const useRectStyles: ({ style, enabled, }: {
    style: ButtonStyle | undefined;
    enabled: boolean;
}) => {
    container: ViewStyle;
    touchableHighlight: TouchableHighlightStyle;
    horizontalContainer: ViewStyle;
    text: TextStyle;
    childrenContainer: ViewStyle;
    content: {};
    leftImage: ImageStyle;
};
declare const useSimpleStyles: ({ style, enabled, }: {
    style: ButtonStyle | undefined;
    enabled: boolean;
}) => {
    touchableOpacity: TouchableOpacityStyle;
    horizontalContainer: ViewStyle;
    text: TextStyle;
    childrenContainer: ViewStyle;
    content: {};
    leftImage: ImageStyle;
};
export { useDefaultStyles, useSimpleStyles, useRectStyles };
